Package com.salesforce.hyperdb.grpc

## Enum QueryParam.ParameterStyle

- java.lang.Object
- - java.lang.Enum<QueryParam.ParameterStyle>
  - - com.salesforce.hyperdb.grpc.QueryParam.ParameterStyle

All Implemented Interfaces:
  `com.google.protobuf.Internal.EnumLite`, `com.google.protobuf.ProtocolMessageEnum`, `Serializable`, `Comparable<QueryParam.ParameterStyle>`

Enclosing class:
  QueryParam

    public static enum QueryParam.ParameterStyle
    extends Enum<QueryParam.ParameterStyle>
    implements com.google.protobuf.ProtocolMessageEnum

Protobuf enum `salesforce.hyperdb.grpc.v1.QueryParam.ParameterStyle`

### Enum Constant Summary

Enum Constants
`DOLLAR_NUMBERED` `DOLLAR_NUMBERED = 1;`
`NAMED` `NAMED = 2;`
`QUESTION_MARK` `QUESTION_MARK = 0;`
`UNRECOGNIZED`

### Field Summary

Fields
`static int` `DOLLAR_NUMBERED_VALUE` `DOLLAR_NUMBERED = 1;`
`static int` `NAMED_VALUE` `NAMED = 2;`
`static int` `QUESTION_MARK_VALUE` `QUESTION_MARK = 0;`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`static QueryParam.ParameterStyle` `forNumber​(int value)`
`static com.google.protobuf.Descriptors.EnumDescriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.EnumDescriptor` `getDescriptorForType()`
`int` `getNumber()`
`com.google.protobuf.Descriptors.EnumValueDescriptor` `getValueDescriptor()`
`static com.google.protobuf.Internal.EnumLiteMap<QueryParam.ParameterStyle>` `internalGetValueMap()`
`static QueryParam.ParameterStyle` `valueOf​(int value)` Deprecated.
`static QueryParam.ParameterStyle` `valueOf​(com.google.protobuf.Descriptors.EnumValueDescriptor desc)` Returns the enum constant of this type with the specified name.
`static QueryParam.ParameterStyle` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static QueryParam.ParameterStyle[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### QUESTION_MARK

    public static final QueryParam.ParameterStyle QUESTION_MARK

`QUESTION_MARK = 0;`

#### DOLLAR_NUMBERED

    public static final QueryParam.ParameterStyle DOLLAR_NUMBERED

`DOLLAR_NUMBERED = 1;`

#### NAMED

    public static final QueryParam.ParameterStyle NAMED

`NAMED = 2;`

#### UNRECOGNIZED

    public static final QueryParam.ParameterStyle UNRECOGNIZED

### Field Detail

#### QUESTION_MARK_VALUE

    public static final int QUESTION_MARK_VALUE

`QUESTION_MARK = 0;`

See Also:
  Constant Field Values

#### DOLLAR_NUMBERED_VALUE

    public static final int DOLLAR_NUMBERED_VALUE

`DOLLAR_NUMBERED = 1;`

See Also:
  Constant Field Values

#### NAMED_VALUE

    public static final int NAMED_VALUE

`NAMED = 2;`

See Also:
  Constant Field Values

### Method Detail

#### values

    public static QueryParam.ParameterStyle[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (QueryParam.ParameterStyle c : QueryParam.ParameterStyle.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static QueryParam.ParameterStyle valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getNumber

    public final int getNumber()

Specified by:
  `getNumber` in interface `com.google.protobuf.Internal.EnumLite`
Specified by:
  `getNumber` in interface `com.google.protobuf.ProtocolMessageEnum`

#### valueOf

    @Deprecated
    public static QueryParam.ParameterStyle valueOf​(int value)

Deprecated.
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `value` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### forNumber

    public static QueryParam.ParameterStyle forNumber​(int value)

Parameters:
  `value` - The numeric wire value of the corresponding enum entry.
Returns:
  The enum associated with the given numeric wire value.

#### internalGetValueMap

    public static com.google.protobuf.Internal.EnumLiteMap<QueryParam.ParameterStyle> internalGetValueMap()

#### getValueDescriptor

    public final com.google.protobuf.Descriptors.EnumValueDescriptor getValueDescriptor()

Specified by:
  `getValueDescriptor` in interface `com.google.protobuf.ProtocolMessageEnum`

#### getDescriptorForType

    public final com.google.protobuf.Descriptors.EnumDescriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.ProtocolMessageEnum`

#### getDescriptor

    public static final com.google.protobuf.Descriptors.EnumDescriptor getDescriptor()

#### valueOf

    public static QueryParam.ParameterStyle valueOf​(com.google.protobuf.Descriptors.EnumValueDescriptor desc)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `desc` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null